<?
//HORIZONTAL GRAD FUNCTION
function horizontal($image, $x, $y, $width, $height, $start_color, $end_color, $vertical = false) {
   if ($width >= $height){
     $steps = $height;
     }
   if ($width <= $height){
      $steps = $width;
    }

  // Loop through the number of steps, and draw a rectangle for each. 
  for($i = 0; $i < $steps; $i++) {

    // Calculate the color. 
    $red = (($end_color[0] - $start_color[0])) * ($i / ($steps - 1)) + $start_color[0];
    $green = (($end_color[1] - $start_color[1])) * ($i / ($steps - 1)) + $start_color[1]; 
    $blue = (($end_color[2] - $start_color[2])) * ($i / ($steps - 1)) + $start_color[2]; 
    $fill_color = imagecolorallocate($image, $red, $green, $blue);

      $rectangle_width = $width/$steps;
      imagefilledrectangle($image, $x + $rectangle_width * $i, $y, $x + ($rectangle_width * $i) + $rectangle_width, $y + $height, $fill_color);
}
}

//VERTICAL GRAD FUNCTION
function vertical($image, $x, $y, $width, $height, $start_color, $end_color) {
   if ($width >= $height){
     $steps = $height;
     }
   if ($width <= $height){
      $steps = $width;
    }

  // Loop through the number of steps, and draw a rectangle for each. 
  for($i = 0; $i < $steps; $i++) {

    // Calculate the color. 
    $red = (($end_color[0] - $start_color[0])) * ($i / ($steps - 1)) + $start_color[0];
    $green = (($end_color[1] - $start_color[1])) * ($i / ($steps - 1)) + $start_color[1]; 
    $blue = (($end_color[2] - $start_color[2])) * ($i / ($steps - 1)) + $start_color[2]; 
    $fill_color = imagecolorallocate($image, $red, $green, $blue);

      $rectangle_height = $height/$steps;
      imagefilledrectangle($image, $x, $y + $rectangle_height * $i, $x + $width, $y + ($rectangle_height * $i) + $rectangle_height, $fill_color);
}
}

//RADIAL GRAD FUNCTION
function radial($image, $x, $y, $width, $height, $start_color, $end_color) {
   if ($width >= $height){
     $steps = $height;
     }
   if ($width <= $height){
      $steps = $width;
    }
  for($i = $steps - 1; $i >= 0; $i--) {
    $red = (($end_color[0] - $start_color[0]) / ($steps - 1)) * $i + $start_color[0];
    $green = (($end_color[1] - $start_color[1]) / ($steps - 1)) * $i + $start_color[1]; 
    $blue = (($end_color[2] - $start_color[2]) / ($steps - 1)) * $i + $start_color[2]; 
    $fill_color = imagecolorallocate($image, $red, $green, $blue);
    $ellipse_width = $width/$steps * ($i + 1);
    $ellipse_height = $height/$steps * ($i + 1);
    imagefilledellipse($image, $x, $y, $ellipse_width, $ellipse_height, $fill_color);
  }
}


//CREATE AN IMAGE
$image = imagecreate(300, 700);
$white = imagecolorallocate($image, 255, 255, 255);

//OUTPUT A PLAIN BACKGROUND IMAGE top.jpg
header("Content-type: image/jpeg");
imagejpeg($image,'top.jpg');
imagedestroy($image);

//CALL IMAGE BACK IN TO DRAW ON
$image = imagecreatefromjpeg('top.jpg');
$white = imagecolorallocate($image, 255, 255, 255);

//NUMBERS X, Y, WIDTH, HEIGHT, COLORS
//I USED A DARK SHADE OF THE COLOR INSTEAD OF BLACK FOR LESS BLACK 

horizontal($image, 0, 0, 50, 50, array(255, 0, 0), array(60, 0, 0));
horizontal($image, 50, 0, 50, 50, array(60,0,0), array(255,0,0));
horizontal($image, 0, 50, 50, 50, array(0,60,0), array(0,255,0));
horizontal($image, 50, 50, 50, 50,array(0,255,0), array(0,60,0) );
vertical($image, 0, 100, 50, 50, array(60,0,60), array(255,0,255));
vertical($image, 0, 150, 50, 50, array(255,0,255), array(60,0,60));
vertical($image, 50, 100, 50, 50, array(0,50,255), array(0,50,80));
vertical($image, 50, 150, 50, 50, array(0,50,80), array(0,50,255));
vertical($image, 0, 200, 100, 50, array(60,60,0), array(255,255,0));
vertical($image, 0, 250, 100, 50, array(255,255,0), array(60,60,0));
vertical($image, 0, 300, 100, 50, array(60,0,60), array(255,0,255));
vertical($image, 0, 350, 100, 50, array(255,0,255), array(60,0,60));
vertical($image, 0, 400, 100, 50, array(60,60,0), array(255,255,0));
vertical($image, 0, 450, 100, 50, array(255,255,0), array(60,60,0));
vertical($image, 0, 500, 100, 50, array(60,0,60), array(255,0,255));
vertical($image, 0, 550, 100, 50, array(255,0,255), array(60,0,60));
radial($image, 50,650,100,100,array(255,0,0), array(60,0,0));

//THIS LINE LIGHTENS UP COLORS A BIT
imagegammacorrect($image, 1.0, 1.537);

header("Content-type: image/jpeg");
imagejpeg($image);
imagedestroy($image);

?>