<?
function horizontal($image, $x, $y, $width, $height, $start_color, $end_color, $vertical = false) {
   if ($width >= $height){
     $steps = $height;
     }
   if ($width <= $height){
      $steps = $width;
    }

  // Loop through the number of steps, and draw a rectangle for each. 
  for($i = 0; $i < $steps; $i++) {

    // Calculate the color. 
    $red = (($end_color[0] - $start_color[0])) * ($i / ($steps - 1)) + $start_color[0];
    $green = (($end_color[1] - $start_color[1])) * ($i / ($steps - 1)) + $start_color[1]; 
    $blue = (($end_color[2] - $start_color[2])) * ($i / ($steps - 1)) + $start_color[2]; 
    $fill_color = imagecolorallocate($image, $red, $green, $blue);

      $rectangle_width = $width/$steps;
      imagefilledrectangle($image, $x + $rectangle_width * $i, $y, $x + ($rectangle_width * $i) + $rectangle_width, $y + $height, $fill_color);
}
}

function vertical($image, $x, $y, $width, $height, $start_color, $end_color) {
   if ($width >= $height){
     $steps = $height;
     }
   if ($width <= $height){
      $steps = $width;
    }

  // Loop through the number of steps, and draw a rectangle for each. 
  for($i = 0; $i < $steps; $i++) {

    // Calculate the color. 
    $red = (($end_color[0] - $start_color[0])) * ($i / ($steps - 1)) + $start_color[0];
    $green = (($end_color[1] - $start_color[1])) * ($i / ($steps - 1)) + $start_color[1]; 
    $blue = (($end_color[2] - $start_color[2])) * ($i / ($steps - 1)) + $start_color[2]; 
    $fill_color = imagecolorallocate($image, $red, $green, $blue);

      $rectangle_height = $height/$steps;
      imagefilledrectangle($image, $x, $y + $rectangle_height * $i, $x + $width, $y + ($rectangle_height * $i) + $rectangle_height, $fill_color);
}
}

function radial($image, $x, $y, $width, $height, $start_color, $end_color) {
   if ($width >= $height){
     $steps = $height;
     }
   if ($width <= $height){
      $steps = $width;
    }
  for($i = $steps - 1; $i >= 0; $i--) {
    $red = (($end_color[0] - $start_color[0]) / ($steps - 1)) * $i + $start_color[0];
    $green = (($end_color[1] - $start_color[1]) / ($steps - 1)) * $i + $start_color[1]; 
    $blue = (($end_color[2] - $start_color[2]) / ($steps - 1)) * $i + $start_color[2]; 
    $fill_color = imagecolorallocate($image, $red, $green, $blue);
    $ellipse_width = $width/$steps * ($i + 1);
    $ellipse_height = $height/$steps * ($i + 1);
    imagefilledellipse($image, $x, $y, $ellipse_width, $ellipse_height, $fill_color);
  }
}


$image = imagecreate(300, 500);
$white = imagecolorallocate($image, 255, 255, 255);

header("Content-type: image/jpeg");
imagejpeg($image,'vase.jpg');
imagedestroy($image);

$image = imagecreatefromjpeg('vase.jpg');
$white = imagecolorallocate($image, 255, 255, 255);

radial($image, 150,300,300,100,array(255,0,0), array(60,0,0));
radial($image, 150,280,250,100,array(255,0,255), array(60,0,60));
radial($image, 150,260,200,100,array(255,255,0), array(60,60,0));
radial($image, 150,240,150,100,array(0,0,255), array(0,0,50));
radial($image, 150,220,100,100,array(0,255,0), array(0,60,0));
radial($image, 150,200,50,100,array(255,255,255), array(60,60,60));
horizontal($image, 125,150,25,50,array(60,60,60), array(255,255,255));
horizontal($image, 150,150,25,50,array(255,255,255), array(60,60,60));

//THIS LINE LIGHTENS UP THE COLORS A BIT
imagegammacorrect($image, 1.0, 1.537);

header("Content-type: image/jpeg");
imagejpeg($image);
imagedestroy($image);

?>